Subject: Signature and Finger FAQ

From: Nancy McGough <[email-masked]>
Date: 15 Dec 1994 21:30:29 GMT

Archive-name: signature_finger_faq
Posting-frequency: approximately monthly
Last-modified: 15 December 1994

Current-versions-at: 
http://www.cis.ohio-state.edu/hypertext/faq/usenet/signature_finger_faq/faq.html
ftp://ftp.halcyon.com/pub/ii/internet/signature_finger_faq

            _____________________________________________________
  _________|                                                     |_________
  \        |   SIGNATURE AND FINGER FREQUENTLY ASKED QUESTIONS   |        /
   \       |            Telling the World Who You Are            |       /
    \      |                                                     |      /
     \     |                                                     |     /
     /     |           Copyright (c) 1994 Nancy McGough          |     \
    /      |                                                     |      \
   /       |_____________________________________________________|       \
  /____________)                                              (___________\

  TABLE OF CONTENTS

  0.0 Preliminaries
  ... 0.1 Reading the Hypertext Version
  ... 0.2 Reading the Plain Text Version (Digest Format)
  ... 0.3 Notation
  ... 0.4 Terminology
  1.0 Automatic Signature - Basic Unix Instructions
  ... 1.1 Pine
  ... ... 1.1.1 Pine 3.90 and Later
  ... ... 1.1.2 Pine 3.89 and Earlier
  ... 1.2 Elm
  ... 1.3 Mail
  ... 1.4 SUN OpenWindows Mailtool
  ... 1.5 Emacs Mail Mode
  ... 1.6 MH and Emacs mh-e
  ... 1.7 NN
  ... 1.8 GNUS
  ... 1.9 Troubleshooting Signature Problems
  2.0 Finger - Basic Unix Instructions
  ... 2.1 URLs for Fingering
  ... 2.2 Changing Your Default Finger Info: chfn
  ... 2.3 Adding More to Your Finger Info: .plan & .project
  ... 2.4 Test Fingering Yourself
  ... 2.5 Finding Out Who Fingers You
  ... 2.6 Backfinger Script
  ... 2.7 Interesting Places to Finger
  3.0 What to Put in Your Signature and Finger Files
  ... 3.1 URLs
  ... 3.2 Ascii Art
  ... 3.3 Animated Text Strings
  ... 3.4 Robot Fodder
  ... 3.5 Newsgroups for Sig Discussion
  4.0 Organization Header
  ... 4.1 Tin and the RN Family
  ... 4.2 Pine 3.90 and Later
  ... 4.3 Elm
  ... 4.4 NN
  5.0 Contributors
  ... 5.1 Acknowledgements
  ... 5.2 If You'd Like to Contribute
  6.0 Copyright Notice

----------------------------------------------------------------------

From: Nancy McGough <[email-masked]>
Subject: 0.0 Preliminaries

This article describes these ways you can tell people on the Internet more 
about yourself:
 * Your signature file which is automatically included in your mail and 
   news messages.
 * Your finger information which is displayed when people finger you.
 * Your Organization line which is one of the headers in your mail and news 
   messages.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 0.1 Reading the Hypertext Version

The best way to read this FAQ (and most other FAQs too) is to view the
hypertext version using a Web browser such as Lynx, Netscape, Mosaic,
WinWeb, Panda, Tapestry, or Cello.  This will allow you to easily jump:

   * between subjects in this article
   * to a Uniform Resource Locator (URL)
   * to an Internet Request For Comments document (RFC)
   * to some manual pages

This and all FAQs that are crossposted to news.answers can be accessed through:
http://www.cis.ohio-state.edu/hypertext/faq/usenet/top.html

This particular FAQ is at:
http://www.cis.ohio-state.edu/hypertext/faq/usenet/signature_finger_faq/faq.html

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 0.2 Reading the Plain Text Version (Digest Format)

If you are reading the plain text version (i.e., not the hypertext version) of 
this FAQ it is in RFC1153 digest format which means each subject is formatted 
as a mini mail message with its own Date, From, and Subject (and sometimes 
Followup-To) headers.  Some newsreaders and mailers make it really easy
to jump to a subject in an article that is in digest format.  Here are 
instruction for some newsreaders:

* NN's default is to split a digest and present each digest item on the 
  menu.  If you have changed the default by putting ``set split off'' in 
  your ~/.nn/init file then you can split an article that is in digest 
  format by typing G% while viewing it.  This will present each digest item 
  on a submenu.  You can then read, followup-to, save, print, etc. individual 
  digest items.

* In trn (and its relatives like rn and strn) you can type ^g to skip to 
  the next line that begins with ``Subject: ''

* In emacs GNUS, C-c C-n will skip to the next digest article (C-C C-p will
  go back to the previous digest article).

If your newsreader or mailer does not have a built-in command that allows
you to easily read a digest you can pipe the article to ``formail -ds''
which will split the article into separate mail messages, and then you can
use your mailer or newsreader (if it can read mail folders) to read the
folder.  For more information on using formail, see the formail(1) and 
procmail(1) man pages, and the Procmail FAQ:
 http://www.cis.ohio-state.edu/hypertext/faq/usenet/mail/procmail-faq/faq.html

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 0.3 Notation

Notation  Meaning
========  =======
TextName  placeholder; replace with appropriate text
<text>    placeholder; replace with appropriate text without the angle brackets
``text''  text you type but without the quotes
"text"    text you type including the double quotes
'text'    text you type including the single quotes
[Key]     press the key, e.g., [Space] or [Enter]

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 0.4 Terminology

  Term    Meaning
  ====    =======
  FTP     File Transfer Protocol
  FQDN    Full Qualified Domain Name
  HTML    HyperText Markup Language
  HTTP    HyperText Transport Protocol
  mailer  Mail user agent (MUA) such as Pine or Elm
  pico    PIne COmposer - friendly editor that's part of the Pine package
  RFC     Internet ``Request For Comments'' document
  URL     Uniform Resource Locator (specified in RFC1630)
  ^x      Press the Ctrl key and then, while holding down the Ctrl key,
          press the x key
  ~       Your home directory $HOME  (see * below)

* In this article I use ~ (tilde) to mean your home directory.  Note that
  some shells, such as the Bourne shell (sh), do not understand the tilde
  notation so you will need to use $HOME instead.  You can always get to
  your home directory by typing ``cd''.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: 1.0 Automatic Signature - Basic Unix Instructions

Q: How can I have a signature automatically appended to my news articles
   and mail messages?

A: The answer depends on your newsreader and mailer but the following
   procedure works for many Unix newsreaders and mailers.

Type...                 In order to...
=======                 ==============
cd                      Change to your home directory (i.e., $HOME or ~)

pico .signature         Use the pico editor to create a .signature file.
                        (Replace "pico" with another editor if you like.)

<your signature>        Note that most systems require your sig to be <= 4
                        lines.  And it's good netiquette to make it as
                        short as possible.

<save and exit>         In Pico use ^x to exit and answer y when asked
                        if you want to save your changes.

chmod 644 .signature    Make .signature readable by all.

ls -l .signature        Check the permission: it should say -rw-r--r--

chmod a+x .             Make home directory searchable by all.

ls -ld .                Check permission of home dir: it should say drwx?-x?-x
                        The ?'s may be r's or hyphens or one of each (i.e.,
                        drwx--x--x, drwxr-xr-x, drwxr-x--x, drwx--xr-x).

ls -la .                Check permission of files in home dir.  If any are
                        group or other writable (?????w??w?) you may
                        want to change this by doing a "chmod go-w FileName".
                        Note that on some systems, such as VMS, some files 
                        and directories in your home directory need to be 
                        group or other writable, so only change permissions 
                        if you know what you're doing.  For more info on 
                        changing permissions see the chmod man pages.

For some newsreaders and mailers this is all you need to do to set up your
signature.  For example the default behaviour of pine(1), tin(1), and the rn 
family - rn(1), trn(1), strn(1), & Pnews(1) - is to automatically append 
 ~/.signature, if it exists.  If you use Elm, Mail, SUN OpenWindows Mailtool,
Emacs Mail Mode, MH, NN, or GNUS follow the additional instructions described 
below.

After you've set everything up use your mailer to mail a test message
to yourself, and your newsreader and/or news poster (such as nnpost or Pnews)
to post an article to a test newsgroup (use a local newsgroup and Distribution
set to ``local'' to save bandwidth).  Note that with many newsreaders and 
mailers you will not see your signature while you are composing a message - 
it will be automaticlally appended when you send the message.  Note also that 
many systems add a line that contains ``-- '' to the top of your sig.  This is 
used by programs that automatically deal with mail or news to identify the 
start of the signature.

If you have a problem with your sig see section 1.9 on Troubleshooting.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 1.1 Pine
Followup-To: comp.mail.pine

Pine automatically appends ~/.signature (if it exists) to your messages.  
Many people like to set the signature-at-bottom variable which will put 
your signature below both your message and the message you are replying 
to (if you've included it).  Note that if you are forwarding a message 
your signature will be put below the message that you write but above 
the forwarded message.

SEE ALSO
========
Pine FAQ:       http://www.cac.washington.edu/pine/faq/
                ftp://ftp.cac.washington.edu/pine/docs/faq
Pine Manual:    pine(1)
Pine Newsgroup: comp.mail.pine

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... ... 1.1.1 Pine 3.90 and Later
Followup-To: comp.mail.pine

Pine automatically appends ~/.signature (if it exists) to your messages.  
To change Pine's signature features:

1. From the Main Menu type s for Setup
2. Type c for Configuration
3. To change the value of the signature-at-bottom feature:
   a) Spacebar and arrow down to the signature-at-bottom variable
   b) Type x to set/unset this variable.
4. To change the name of your signature file:
   a) Arrow down to the signature-file line
   b) Type c for Change Value
   c) Type the path and name of the file you want to use for your
      signature.  Note that ~ can be used for your $HOME directory.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... ... 1.1.2 Pine 3.89 and Earlier
Followup-To: comp.mail.pine

Pine automatically appends ~/.signature (if it exists) to your messages.  
To change Pine's signature features in Pine 3.89 (and earlier versions) you 
need to edit your ~/.pinerc file directly.

Type...                 In order to...
=======                 ==============
cd                      Change to your home directory (i.e., $HOME or ~)
pico .pinerc            Use the pico editor to edit your .pinerc file.
^w                      Search for . . .
feature-list            . . . ``feature-list''

Edit your .pinerc so that it contains this line:

feature-list=signature-at-bottom

If you want more than one feature in your feature-list then they need to
be comma separated like this:

feature-list=old-growth,
	signature-at-bottom

If you want to use a file other than ~/.signature for your signature
edit the following line:

signature-file=

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 1.2 Elm
Followup-To: comp.mail.elm

In addition to the basic signature instructions in 1.0 above, users of Elm
need to edit their ~/.elm/elmrc file so that it contains the following:

signature = ~/.signature
sigdashes = ON

Remember to delete any # characters before any variables you want
to set.  The defaults are indicated in comment lines starting with ###.

Note that if you want to have a different signature for local mail
(i.e., addresses that don't contain a ! or @) then you can use the
localsignature and remotesignature variables instead of the signature
variable (which specifies one sig for all mail).

SEE ALSO
========
Elm Web Page: http://www.myxa.com/elm.html
Elm FAQs:     http://www.cis.ohio-state.edu/hypertext/faq/usenet/elm/top.html
Elm Manual:   elm(1)
Newsgroup:    comp.mail.elm

------------------------------

From: Jym Dyer <[email-masked]>
Subject: ... 1.3 Mail
Followup-To: comp.mail.misc

By Jym Dyer, 1 April 1994

=o= Regular Unix "Mail" and "mail" don't have an automatic
signature mechanism.  Many people who normally use a more deluxe
mail utility occasionally find themselves resorting to using one
of these, in which case all you need to know is this command:

	~r $HOME/.signature

This simply tells Mail to include the text of the your signature
file.

=o= If you use Mail on a regular basis you may want to use the
semi-automatic signature feature.  When you're done typing your
message, you append a signature with this command:

	~a

=o= In order for this to work, though, you need to set the
"sign" mail variable.  There are two ways to implement this
variable.  The first is to set it in a $HOME/.mailrc file with
a command like this:

	set sign="Jym Dyer <[email-masked]>"

If your signature is more than one line long, you can use the
C language string syntax, as in these examples:

	set sign="Jym Dyer\n<[email-masked]>"

			-or-

	set sign="Jym Dyer\
	\n<[email-masked]>"

=o= The disadvantage of doing this in your .mailrc file is
that you now have to maintain the text of your signature in
two places.  Another approach that avoids this problem is to set
"sign" as an environment variable in your shell startup script.
For a Bourne-compatible shell, this is done with this command:

	sign="`cat $HOME/.signature`" export sign

For a C-shell, do this:

	setenv sign "`cat $HOME/.signature`"

SEE ALSO
========
Manual pages: mail(1)
Newsgroup:    comp.mail.misc

------------------------------

From: Jochen Bern <[email-masked]>
Subject: ... 1.4 SUN OpenWindows Mailtool

By Jochen Bern, 7 November 1994

The mailtool of SUNs OpenWindows lacks numerous Things, including the
Ability to sign Mails. However, most OW Users stick with mailtool
because of the Ability to use "Attachments" to send around Files.

A simple Replacement for Signatures is to add a "Template" (click on
Edit -> Properties, select Category "Template" in the Properties
Window, and give Name and File as desired). Disadvantage: You have
to edit in every Signature by Hand, though.

A better Approach is to use a "set sendmail=..." Line in your ~/.mailrc.
Mails being sent out will be handed over to the Executable named
there instead of the Mail Delivery Subsystem. You can easily plug
in a simple Program to sign your Mails there. However, be warned that
all too simple Siggers aren't aware of the abovementioned Attachments,
so the Signature will end up in the last Attachment instead of the
Mail Text. A Sigger doing this correctly can be found at
file://ftp.informatik.uni-trier.de/pub/sunos/JoesMailtool/.

Note that this will cause the standard mail Command to use the Sigger,
too.

------------------------------

From: Jym Dyer <[email-masked]>
Subject: ... 1.5 Emacs Mail Mode

By Jym Dyer, 1 April 1994

=o= Emacs Mail Mode is usually invoked with the "mail" or
"mail-other-window" commands (bound, respectively, to the
"C-x m" and "C-x 4 m" keys by default).  It is also invoked
from various Emacs mail and news packages.

=o= Mail Mode provides a "mail-signature" command to append
the contents of your signature file to the end of your mail
message.  This command is bound to "C-c C-w" by default,
so to insert the signature before mailing, simply type
"C-c "C-w".

=o= If you'd prefer to have your signature automatically
appended to the end of your mail message, the "mail-signature"
command can be put into your "mail-setup-hook" variable in
your $HOME/.emacs file, as in this example:

    (setq mail-setup-hook
      (function
       (lambda ()
	 (mail-signature) )))

This will put the signature in your mail message buffer.

Instructions for Version 19 by Richard Kasperowski
==================================================
In emacs 19, I use:

 (setq mail-signature t)

There is a problem with my expression with respect posting to USENET
via GNUS.  GNUS automatically appends .signature to the post when it
is sent out.  With (setq mail-signature t), .signature is appended to
the end of the emacs buffer in which you edit your post.  When you
send-out the post, another .signature is appended to the end.  You end
up with two .signatures on your USENET posts.

   This will put the signature in your mail message buffer.

SEE ALSO
========
Newsgroups: gnus.emacs.help and comp.emacs
FAQ: 
http://www.cis.ohio-state.edu/hypertext/faq/usenet/GNU-Emacs-FAQ/part5/faq.html

------------------------------

From: Jym Dyer <[email-masked]>
Subject: ... 1.6 MH and Emacs mh-e
Followup-To: comp.mail.mh

By Jym Dyer, 1 April 1994

=o= MH doesn't have an automatic signature mechanism, but it
is so configurable that there are a number of different ways
to implement one.  Check the periodic "MH Frequently Asked
Questions (FAQ) with Answers" posting for details.

=o= CAVEAT:  If you use the environment variable SIGNATURE to
point to your signature file, MH will use it not as a signature,
but as your "fullname".  Even worse, if your version of MH was
built with the "UCI" option and you *don't* use the environment
variable SIGNATURE to point to another file, MH will use the
$HOME/.signature file for this purpose!  To see if your version
of MH has this behavior, enter this command:

  % send -help

And look for the string "[UCI]" in the output.

=o= There's an Emacs interface to MH, called MH-E.  It has its
own signature mechanism, which is invoked with the "mh-insert-
signature" command (bound to the "C-c C-s" keys by default).

=o= This will insert the file $HOME/.signature file by default.
If your signature file has another name (e.g., to avoid its
being used by an MH build with the "UCI" option), you can set
the "mh-signature-file-name" variable to refer to a different
file.

SEE ALSO
========
MH FAQ:       http://www.cis.ohio-state.edu/hypertext/faq/usenet/mh-faq/top.html
MH Manual:    mh(1)
MH Newsgroup: comp.mail.mh

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 1.7 NN
Followup-To: news.software.nn

In addition to the basic signature instructions in 1.0 above, users of NN
need to edit their ~/.nn/init file so that it contains the following:

set query-signature off
set append-signature-mail on
set append-signature-post off

Note that the reason that you need to ``set append-signature-post off'' is
that the news posting software (usually inews) automatically appends
 ~/.signature if it exists.  If you ``set append-signature-post on'' then
both nn and inews append your sig and you'll send out two identical sigs
every time.

SEE ALSO
========
FAQ:       http://www.cis.ohio-state.edu/hypertext/faq/usenet/nn-faq/top.html
Manual:    nn(1), inews(1)
Newsgroup: news.software.nn

------------------------------

From: Mike Northam <[email-masked]>
Subject: ... 1.8 GNUS
Followup-To: gnu.emacs.gnus

Copyright (c) 1994 Mike Northam

In addition to the basic signature instructions in 1.0 above, users of GNUS
should verify that the value of the variable gnus-signature-file points to the
right place.  If you're in emacs, you can do so by evaluating the following
expression:
gnus-signature-file
                   ^ put your cursor here and type C-x C-e

you should see "~/.signature" in the echo area.  If not, edit your
$HOME/.emacs file and add the following:
(setq gnus-signature-file "~/.signature"))
Then load your $HOME/.emacs file or merely restart emacs and the variable
should be set correctly.

SEE ALSO
========
Newsgroup: gnu.emacs.gnus
FAQ: 
http://www.cis.ohio-state.edu/hypertext/faq/usenet/GNU-Emacs-FAQ/part5/faq.html    
------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 1.9 Troubleshooting Signature Problems

A common problem people have with .signature (and .plan, .project, and
 .forward ) files is that the permissions are not set correctly.  Check
to make sure that you have set the permissions as instructed in 1.0 above.

If you are still having problems read the man pages for your newsreader,
news poster, or mailer and search for the string ``signature''.  There may 
be a variable you need to set in order for the ~/.signature to be appended.

Type...                 In order to...
-------                 --------------
man CommandName |less   Open man pages for CommandName (elm, pine, nn, tin
                        trn, Pnews, etc.) and pipe through less.  If your
                        system doesn't have less replace it with "more".

/signature              Search for first occurrence of "signature".

n                       Search for next occurrence of "signature".
                        Repeat the search until you find the appropriate
                        section of the manual.

u                       Page up half a screen. (This works in less but not in
                        more.)

[Space]                 Page down a screen. (This works in both less and more.)

For more information on reading manual pages see the man(1), less(1), and/or
more(1) man pages.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: 2.0 Finger - Basic Unix Instructions

If your host is running the finger daemon (fingerd) then
people around the world can find out more about you by fingering you.  
This is done by typing the following at a Unix prompt:

   finger [email-masked]

On some systems finger is linked to f so the following also works:

   f [email-masked]

Finger displays different information on different systems.  Often it will 
display your full name, your default shell, when your were last logged on, 
and your ~/.plan and ~/.project files.

If you finger someone and the display takes more than one page you can pipe 
the output through less (or more if you don't have less).  For example to 
find out about Halcyon, my Internet service provider, type:

   finger [email-masked] |less

Finger can also be used to display information about groups of people.
For example:

   finger [email-masked] |less

Ths will display finger information about everyone with ``john'' in 
their name on random.fqdn.  You can get a short listing for each person
by using:

   finger -q [email-masked] |less

For technical details about the finger protocol see RFC1288.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 2.1 URLs for Fingering

In addition to using the finger or f command you can finger people
through a Web browser.  The following is a form that Doug Stevenson
<[email-masked]> created:
  http://www.mps.ohio-state.edu/cgi-bin/finger.pl

Also, Marc VanHeyningen <[email-masked]> has a Web finger gateway
at:
 http://www.cs.indiana.edu/finger/fully.qualified.domain.name/userid/w

You can also use this URL:
  gopher://fully.qualified.domain.name:79/0userid
                                          ^ Note: 0 precedes the userid

For example you can finger my Internet service provider with this URL:
  gopher://halcyon.com:79/0info

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 2.2 Changing Your Default Finger Info: chfn

On many Unix systems you can change some of your default information,
such as your full name, by typing the following at your Unix prompt:

   chfn

If chfn is not available try "passwd -f".  If neither of these are
available then you will need to contact your system administrator and
ask him/her to change your full name, etc.

After you have changed your information check that they are in place
by fingering yourself.  Also to see a different display of your
information type the following at your Unix prompt:

   finger

This displays a one line description of everyone currently logged on
your system.

For more information see the chfn(1), passwd(1), and finger(1) man pages.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 2.3 Adding More to Your Finger Info: .plan & .project

Your ~/.project and ~/.plan files, if they exist, are displayed when you
are fingered.  Setting these up is essentially the same as setting
up a ~/.signature file (described in 1.0 above).

Type...                 In order to...
-------                 --------------
cd                      Change to your home directory.

pico .plan              Use the pico editor to create a .plan file.
                        (Replace "pico" with another editor if you like.)

chmod 644 .plan         Make .plan readable by all.

ls -l .plan             Check the permission: it should say -rw-r--r--

chmod a+x .             Make home directory searchable by all.

ls -ld .                Check permission of home dir: it should say drwx?-x?-x.
                        The ?'s may be r's or hyphens or one of each.

ls -la .                Check permission of files in home dir.  If any are
                        world or group writable (?????w??w?) you'll probably
                        want to change this by doing a "chmod go-w FileName".
                        For more info on changing permissions see chmod
                        man pages.

If you want a .project file follow the same procedure.  Note that only the
first line of the .project is displayed (so you might as well only make
it one line!).

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 2.4 Test Fingering Yourself

To test your changes finger yourself by type each of these at your
Unix prompt:

    finger YourUserID
    finger [email-masked]
    finger

To ensure that people from other systems can finger you should ask someone 
who's not on your system to finger you too.  It is possible for you to
simulate fingering yourself from another machine (another.fqdn) by doing 
this:

     finger [email-masked]@another.fqdn

In order for this to work another.fqdn must support full finger functionality.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 2.5 Finding Out Who Fingers You

This is complicated - and sometimes impossible - to setup.  For more
information see:

* The next section of this FAQ on the Backfinger Script.

* Chris Alfeld's fingertrace: 
     http://www.math.utah.edu/~calfeld/fingertrace/

* Unix - Frequently Asked Questions (4/7) [Frequent posting] 
  4.9) How do I keep track of people who are fingering me? 

  This article is archived in all the usual FAQ archives, including:
  http://www.cis.ohio-state.edu/hypertext/faq/usenet/unix-faq/faq/part4/faq-doc-9.html

An easy thing that you can do to see if anyone has fingered you is type the 
following at your Unix prompt:

  ls -lu $HOME/.plan

This tells you the last time someone accessed your .plan, but it doesn't
tell you who it was.  I have this in my .login because it's interesting to
see when the last time someone was checking on me!

[Note that under AFS (Andrew File System, a distributed filesystem),
 ls -lu $HOME/.plan will not work due to the fact that AFS has no 
 notion of ``atime'', or ``last accessed time''.]

------------------------------

From: Janet Rosenbaum <[email-masked]>
Subject: ... 2.6 Backfinger Script

by Janet Rosenbaum

There is a script available called, among other things, backfinger,
planner, and finger_logger (flogger or frogger, for short).  This script
makes your plan into a named pipe (just think of this as a sort of
pipe used with plumbing that opens out onto the screen of the person who
is fingering you (fred)) so that when it is accessed, it looks for a
program from which to get something to stick on fred's screen.

The script is called when you are fingered.  At that moment, it looks to
the finger port of your unix machine and sees which machine fred is
on, logs that machine's IP number and hostname, and the date.  The script
can then execute a command to spit a plan out on fred's screen.  (One
might get creative and write a program that generates random poetry or
use the fortune program or just do "cat plan_file".)   To make fred
think you are really cool, it also tells him what machine he is
fingering you from.

Some caveats:

	-- This program must be running at all times on your system even
	when you are logged out.  Leaving a background process like this
	annoys most sys admins to no end, especially on systems with
	high load.  Do **not** run the program unless you are sure that
	you are allowed to run background processes like this.

	-- Also, if you decide you want to stop running this program,
	remove your .plan file as soon as you kill the process.  If you
	do not do this, all finger processes for you will hang.

	-- This script only tells you the machine fred is fingering you
	from, not his actual username.  It is nearly impossible to get
	this information except at sites with bad security.

Given the above, I will distribute the script to those who can use it,
mostly for educational reasons.  I admit that I no longer run the
program, since my two main accounts are on rather high-load systems.
Nevertheless, I learned quite a lot from modifying these scripts and
otherwise playing with these ideas.

Here is the web site:

 http://pubweb.acns.nwu.edu/~jrosen/scripts/logger.src

I will also try to post this answer and the program to comp.sources.misc
at least monthly for those without web access.  (For those who have not
figured out the web, try the program lynx if you are on a vt100 or vt220
type terminal.  If you are on an xterm or hpterm, look for xmosaic.)

Note:  I am not the author of this program.  The version I distribute is
virtually identical to that distributed by Steve Franklin.
Here are the real authors:

Author: Tony Rems <[email-masked]>
Modifications by Geoff Loker <[email-masked]>
More modifications by Karen Bruner <[email-masked]>
Even more modifications by Norman Franke <[email-masked]>
More revisions by Steve Franklin <[email-masked]>
Llamas and minor revision by The Blue One

Enjoy!

Janet

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 2.7 Interesting Places to Finger

Scott Yanoff's "Updated Internet Services List" contains a number of 
interesting places to finger.  If you access it through the following URL 
all the finger commands are links.

  http://www.uwm.edu/Mirror/inet.services.html

------------------------------

From: Nancy McGough <[email-masked]>
Subject: 3.0 What to Put in Your Signature and Finger Files

It is good netiquette to keep your signature to four lines or fewer.  And 
many news posters, such as some versions of inews(1), will not post an 
article that has a signature with more than four lines in it.  So, put large
large pictures, your philosophy of life , etc. in your finger files or in 
your Web pages and point people to those in your signature.

For signatures it's a good idea to keep the width less than 75 characters
so that if your signature is included in a followup preceded by an 
attribution character (like ``> ''), each line will still be on one line.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 3.1 URLs

A good strategy is to keep your signature short and include an
URL to your Web page, e.g.:

 <URL:http://www.jazzie.com/ii/>

If you do not have a Web page you might want to put in an URL 
that will finger you, e.g.:

 <URL:gopher://halcyon.com:79/0nancym>

The format that I've used above, ``<URL:protocol://server:port/name>''
is the current standard for URL specification.  To find out more about this
standard, see:

 <URL:http://www.es.net/pub/internet-drafts/draft-ietf-uri-url-08.txt>

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 3.2 Ascii Art

                                      **
    .             .                  *@@*      .                              .
                                    *@@@@*                      .
          .                          /@@\
                           .        //  \\         .
                                   //    \\                               .
                                   //    \\                 .
  .                              //  Meli  \\
                .               // Kalimaka \\    .                 .
                                 //        \\                                .
                               //            \\
                              // Joyeux  Nokl \\        .
       .               .     //  Bonne  Annie  \\
                            / //              \\ \              .
                             //                \\   .                         .
                            //   Buon Natale e  \\
.            .             //  Felice Anno Nuovo \\
                          /  //                \\  \       .           .
                            //                  \\
                     .     //   Merry Christmas  \\               .
                          //    Happy New Year    \\      .                   .
      .                  / //                    \\ \
                          //                      \\
                 .       //  Frvehliche Weinachten \\              .
                        // Alles Gute Zum Neuen Jahr\\                     .
 .                     /  //                      \\  \
           .             //                        \\      .
                        //                          \\
                   .   //Chuc Mung Giang sinh Nam Moi\\
    .                 / //                          \\ \           .         .
                       //                            \\
                      //         Feliz Navidad        \\
             .       //      y Prospero Aqo Nuevo      \\   .
                    /  //                            \\  \
                      //                              \\                .
.                    //      Milad sa`id wa in sha     \\
                    //        allah sana mubaraka       \\
              .    //                                    \\      .       .
     .            //**************************************\\
                 //              ************              \\                .
                                 ************
                                 **        **                    .
.          .                     ************
                                 ************      Art by Jean-Frangois Mezei

A good source of art for your signature and finger files is the ascii art
FAQ which contains (among others) these topics:
   9  Where can I find ASCII art?
  22  How do I put an animation in my plan?
  23  How do I make a sig?
  24  How do I have my sig automatically added to my posts and email?

The Ascii Art FAQ is at:  http://gagme.wwa.com/~boba/faq.html

One particularly good place to find ascii art is:
  http://gagme.wwa.com/~boba/scarecrow.html

SEE ALSO
========
Newsgroups: rec.arts.ascii, alt.ascii-art, alt.binaries.pictures.ascii
            and alt.ascii-art.animation

------------------------------

From: Marc Kriguer <[email-masked]>
Subject: ... 3.3 Animated Text Strings

Dotplan is a program that performs "animation" effects on text
strings, so that .plan files (hence the name) look a little more
fancy (on low-speed dialup lines).  Some of the effects make the
characters appear one at a time; others have the characters
appear at once and "move" around.

EXAMPLES
     dotplan 3 This is sample text # Display string using style 3
     dotplan                       # Display usage information
     dotplan s                     # Display styles in all styles
     dotplan d This is more text   # Display string in all styles
     dotplan 1 Hi there... > .plan # Save output in actual .plan file

				-- Marc

The files are at:
 ftp://ftp.halcyon.com/pub/ii/internet/dotplan.c
 ftp://ftp.halcyon.com/pub/ii/internet/dotplan.1

------------------------------

From: Tim Pierce <[email-masked]>
Subject: ... 3.4 Robot Fodder

Q: Tim, why do you and others put random, provocative words like
   the following in your sig?

    -- 
    Green Card fodder: Canter, Siegel, green card, Joel Furr, liable,
    fortune, conspiracy, CyberSell, Tennessee Bar.

A: The original genesis of this bit of lore was the NSA's
   supposed archiving of Usenet.  It's a popular urban legend
   that the NSA scans and archives every message posted to
   Usenet, and in the heyday of this story it was popular to
   add "spook fodder" to your .signature consisting of words
   like "conspiracy, bullion, plutonium, Saudi Arabia,
   president, assassination," and so on.  I think that the GNU
   Emacs distribution still comes with the code that would
   insert such words into your posts or .signatures
   automatically.
   
   A couple of years ago there was a nut named Clayton Cramer
   who would periodically bombard soc.motss with pages and
   pages of pseudo-scientific babble about the evils of
   homosexuality.  It got so tiring that after a while I
   amended my .signature to read "Clayton-Fodder:
   homosexuality, pedophilia, incest, guns, Second Amendment,
   Libertarian, Reagan," or some such.  It got quite a few
   giggles from some of the old hands out there.
   
   A more recent example was the case of "Serdar Argic," a
   program written by a U of Minnesota student to search for
   any article referencing Turkey or Turkish culture, and
   follow up with several pages of invective about Armenian
   genocide.  There were some reports that this program was
   faulty and began responding to articles about "Thanksgiving
   Turkey" and the like, but I don't recall ever seeing that
   happen, myself.  Nevertheless, people started putting "Argic
   fodder" into their .signatures, like "Turkey, Armenia, SDPA
   crooks, genocide" in order to bait the "Argic-bot" into
   following up.
   
   The latest rumor is that Canter and Siegel are archiving
   every post which refers to them, in the hopes of finding
   grounds for a libel suit.  Hence, my .signature (which only
   goes to newsgroups in the news.* hierarchy).  It's a
   ridiculous idea, but this is one of those bits of folklore
   which I really enjoy perpetuating.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 3.5 Newsgroups for Sig Discussion

As discussed in 3.2 above there are a number of newsgroups for discussing
ascii art.  There are also these newsgroups where people discuss signatures:

The War Lord of the West Preservation Fan Club:  alt.fan.warlord
Like alt.fan.warlord, only different: alt.stupid.signature.flame.flame.flame 

------------------------------

From: Nancy McGough <[email-masked]>
Subject: 4.0 Organization Header

The Organization header in news and mail messages is another way you can tell 
people about yourself.  It is an optional header described in section
2.2.8 of RFC1036, "Standard for Interchange of Usenet Messages."

READING MESSAGES
================
Many mailers and newsreaders do not automatically display the Organization
header when you are reading a message you've received.  Often typing ``h''
(for header) will display all the headers of a message.  You can usually
set up your software to automatically display the Organization line each
time you view a messae.

COMPOSING MESSAGES
==================
Below are instructions for automatically having your Organization line
filled in each time you compose a message.  Some composers will 
automatically display your Organization header while you are composing,
and others won't.  

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 4.1 Tin and the RN Family
Followup-To: news.newusers.questions

Tin and the rn family of tools (Pnews, rn, trn, strn) get information for the 
Organization header from the ORGANIZATION environment variable if it exists.  
In the csh or tcsh you can set this variable in your ~/.login with a line like 
this:

  setenv ORGANIZATION "Your Organization Name"

After you edit your ~/.login you can establish the setting by either logging
out and loggin back in or by typing the following at your Unix prompt:

  source ~/.login

To check that the variable is set type:

  printenv

After it is set, post a test message to a local test newsgroup with local
distribution to check that the Organization header is correct.

SEE ALSO
========
Manual Pages: tin(1), Pnews(1), rn(1), trn(1), strn(1)
Newsgroup:    news.newusers.questions

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 4.2 Pine 3.90 and Later
Followup-To: comp.mail.pine

In Pine 3.90, and later versions, you set the Organization and other headers 
using the customized-hdrs variable.

1. From the Main Menu type s for Setup
2. Type c for Configuration
3. To change the value of the customized-hdrs variable:
   a) Space bar and arrow down to the customized-hdrs variable.
   b) Type a for Add Value
   c) At the prompt type: Organization: Your Organization Name
      Note that if you have set the ORGANIZATION environment variable
      (which is described in 4.1 above) you can type: 
      Organization: $ORGANIZATION

While reading a message that you've received you can view the Organization
header and all the other headers by typing h.  If h does not work you need 
to go to your configuration menu and set the enable-full-header-cmd variable.

While composing a message you can view all the headers by placing the cursor
in the header region and typing ^r (view rich headers).

NOTE: The customized-hdrs variable is not available in Pine 3.89 and below.

SEE ALSO
========
Pine FAQ:       http://www.cac.washington.edu/pine/faq/
                ftp://ftp.cac.washington.edu/pine/docs/faq
Pine Manual:    pine(1)
Pine Newsgroup: comp.mail.pine

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 4.3 Elm
Followup-To: comp.mail.elm

Use your editor to create a file named ~/.elm/elmheaders that contains
any headers you'd like in your outgoing mail messages.  For example, my
 ~/.elm/elmheaders file contains this one line:

Organization: Infinite Ink, Seattle, WA, USA

SEE ALSO
========
Elm Web Page: http://www.myxa.com/elm.html
Elm FAQs:     http://www.cis.ohio-state.edu/hypertext/faq/usenet/elm/top.html
Elm Manual:   elm(1)
Newsgroup:    comp.mail.elm

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 4.4 NN
Followup-To: news.software.nn

Use your editor to put the following lines in your ~/.nn/init file:

set news-header Organization: Your Organization Name
set mail-header Organization: Your Organization Name

This will add the Organization header to both news and mail messages
sent from NN.

While reading messages with NN you can view the Organization line
by adding O (the letter "oh") to your header-lines variable setting.
I like the following setting:

set header-lines AFOnWK*Y

SEE ALSO
========
FAQ:       http://www.cis.ohio-state.edu/hypertext/faq/usenet/nn-faq/top.html
Manual:    nn(1)
Newsgroup: news.software.nn

------------------------------

From: Nancy McGough <[email-masked]>
Subject: 5.0 Contributors

This FAQ, like many others, is a collaborative effort.  I learned much
of the information in newsgroups, especially:
  comp.unix.*
  comp.mail.*
  news.software.*
  news.newusers.questions

Also, lots of people have mailed me information and I've tried to
acknowledge them below. 

------------------------------
From: Nancy McGough <[email-masked]>
Subject: ... 5.1 Acknowledgements

+ means someone who is new since the last time I posted this FAQ
  (i.e., since 31 October 1994).

Thanks to these people who sent suggestions and digest items:
 + Jochen Bern <[email-masked]>
   Jym Dyer <[email-masked]>
   Mike Northam <[email-masked]>
 + Tim Pierce <[email-masked]>
   Janet Rosenbaum <[email-masked]>

Thanks to these people who sent suggestions:
   Jeff Blaine <[email-masked]>
   Stephen Cristol <[email-masked]>
 + Roman Czyborra <[email-masked]>
   Terry Gray <[email-masked]>
   Sven Guckes <[email-masked]>
   Jon Hamilton <[email-masked]>
 + Rich Kasperowski <[email-masked]>
 + Hugh McGough <[email-masked]>
   Mary McGough <[email-masked]>
   David L Miller <[email-masked]>
   Skip Montanaro <[email-masked]>
   David W. Tamkin <[email-masked]>
   Syd Weinstein <[email-masked]>
 + Everyone who told me that bash understands tilde (~)!

Thanks to these people who've created ascii art, programs, and/or documents 
that are pointed to in this article.  (This list is not complete right now.)
 + Chris Alfeld <[email-masked]> or <[email-masked]>
   Bob Allison <[email-masked]>
   Jorn Barger <[email-masked]>
 + Jean-Frangois Mezei 
   Piero Serini <[email-masked]>
   Doug Stevenson <[email-masked]>
 + Marc VanHeyningen <[email-masked]>
   Bill Wohler <[email-masked]>
   Scott A. Yanoff <[email-masked]>

Special thanks to:
   Thomas A. Fine <[email-masked]> for setting up and
   maintaining the hypertext archive of FAQs.  Congratulations
   to him for winning O'Reilly and Associates' "The Best of the
   Net" award!

Please let me know if I've left you, or anyone else, out of this list.

------------------------------

From: Nancy McGough <[email-masked]>
Subject: ... 5.2 If You'd Like to Contribute

If you have any corrections, suggestions, or new digest items to contribute
to this FAQ please send them to me.  I'd especially like to learn about:
  * Cool signatures that have less than or equal to four lines.
  * Finger clients for Windows or Mac
 
Before you send suggestions please take a look at the latest version of this 
article to see if I've already incorporated your suggestion.  It's archived
at:
http://www.cis.ohio-state.edu/hypertext/faq/usenet/signature_finger_faq/faq.html
ftp://ftp.halcyon.com/pub/ii/internet/signature_finger_faq

If you are reading this with a viewer that understands the following URL you 
can use it to send me mail:   mailto:[email-masked]

------------------------------

From: Nancy McGough <[email-masked]>
Subject: 6.0 Copyright Notice

Copyright (c) 1994 by Nancy McGough.  This collection of articles is first
published in 1994 and is copyrighted by Nancy McGough (except subjects 1.4,
1.5, 1.6, 1.8, 2.6, 3.3, 3.4) which are Copyright (c) 1994 by the authors named 
in the sections).  No portion of this work may be sold or put to commercial 
use without express written consent of the authors.  This restriction covers
publication in any form, or distribution by any method, which permits this
work to be visually perceived, either directly or with the aid of any machine
or device. Permission is granted to republish or redistribute this article in
its entirety for noncommercial use if this copyright notice is not removed or
altered.

End of signature_finger_faq Digest
**********************************

--
 /\_/\    Nancy McGough
( o.o )   Infinite Ink
 > ~ <    http://www.jazzie.com/ii/  -OR-  http://www.best.com/~ii/